# class XmlDoctype |
Full name | `TelEngine::XmlDoctype`
Definition | `#include <libs/yxml/yatexml.h>`
Inherits | TelEngine::XmlChild [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- XmlDoctype (const String& doctype)
- XmlDoctype (const XmlDoctype& orig)
- virtual ~XmlDoctype ()
- inline const String& getDoctype () const
- virtual XmlDoctype* xmlDoctype ()
- void toString (String& dump, const String& indent = String::empty()) const

## Detailed Description

XmlDoctype (const String& doctype) | ### XmlDoctype

Constructor

Parameters:

doctype | The doctype

XmlDoctype (const XmlDoctype& orig) | ### XmlDoctype

Copy constructor

Parameters:

orig | Original XmlDoctype

~XmlDoctype () | ### ~XmlDoctype

[virtual]

Destructor

inline const String& getDoctype () | ### getDoctype

[const]

Get the doctype held by this Xml doctype

Returns: The content of this Xml doctype

XmlDoctype* xmlDoctype () | ### xmlDoctype

[virtual]

Get the Xml doctype

Returns: This object

Reimplemented from XmlChild.

void toString (String& dump, const String& indent = String::empty()) | ### toString

[const]

Build a String from this XmlDoctype

Parameters:

dump | The string where to append representation
indent | Spaces for output

Reimplemented from GenObject.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.